=== debian/changelog ===
liqbase (0.1.5) unstable; urgency=low

  * added new easter egg

 -- Gary Birkett <liquid@gmail.com>  Mon, 20  Oct 2008 06:12:05 +0200

liqbase (0.1.4) unstable; urgency=low

  * added camera and screenshot tools with [Fullscreen] key
  * made screenshots show in recent pictures
  * workround for "." problem in usernames
  * moved camera onto front screen

 -- Gary Birkett <liquid@gmail.com>  Mon, 20  Oct 2008 06:12:05 +0200

liqbase (0.1.3) unstable; urgency=low

  * now postrm, not havin a good time here ;)

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 06:12:05 +0200

liqbase (0.1.2) unstable; urgency=low

  * preinst returned and had dodgy northerners line

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 06:12:05 +0200

liqbase (0.1.1) unstable; urgency=low

  * woglinde kindly helped fix the build deps for me :)

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 06:12:05 +0200

liqbase (0.1.0) unstable; urgency=low

  * changed builddeps

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 05:12:05 +0200

liqbase (0.0.9) unstable; urgency=low

  * png saving
  * bugfixes

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 05:12:05 +0200

liqbase (0.0.8) unstable; urgency=low

  * hildonizing
  * changed runtime default for no prefs to 640*480 temporary fix for glitches

 -- Gary Birkett <liquid@gmail.com>  Thu, 16  Oct 2008 05:12:05 +0200

liqbase (0.0.7) unstable; urgency=low

  * made resolution changes persistable
  * fixed directory handling bug
  * fixed sketch resolution at lower screen resolutions in graffiti
  * clearing log on run, then appending for the session
  * opened up more missing log entry areas, system will be slower, but this log is important

 -- Gary Birkett <liquid@gmail.com>  Wed, 15  Oct 2008 05:12:05 +0200

liqbase (0.0.6) unstable; urgency=low

  * added logging to file ~/.liqbase/liqbase.run.log  will remove asap

 -- Gary Birkett <liquid@gmail.com>  Mon, 13  Oct 2008 05:12:05 +0200

liqbase (0.0.5) unstable; urgency=low

  * added multitouch test

 -- Gary Birkett <liquid@gmail.com>  Mon, 13  Oct 2008 05:12:05 +0200

liqbase (0.0.4) unstable; urgency=low

  * centralized styles, updated and centralized things to use _easyrun
  * made graffiti scroll whilst loading by pausing load actions whilst kinetic in effect
  * added error handling to jpeg loading
  * added zooming to graffiti
  * readded slide in menus

 -- Gary Birkett <liquid@gmail.com>  Sun, 12  Oct 2008 05:12:05 +0200

liqbase (0.0.3) unstable; urgency=low

  * few more bugs quashed, added book reading mid screen

 -- Gary Birkett <liquid@gmail.com>  Sun, 05  Oct 2008 05:12:05 +0200

liqbase (0.0.2) unstable; urgency=low

  * built on a lot of areas, expanded and rewritten lots.

   * higly experimental build, though everything should workish

 -- Gary Birkett <liquid@gmail.com>  Sun, 05  Oct 2008 04:12:05 +0200

liqbase (0.0.1) unstable; urgency=low

  * Initial release

 -- Gary Birkett <liquid@gmail.com>  Thu, 10 Jul 2008 23:12:05 +0200
