=== debian/control ===
Source: liqbase
Section: user/other
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 2), x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev, libxsp-dev, libgstreamer0.10-dev
Standards-Version: 3.7.2

Package: liqbase
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-installer-utils, maemo-select-menu-location
Description: fast graphics technology demo, sketching, reading and stars
 technology demo featuring finger friendly menus, 
 variable resolution kinetic scrolling fullscreen document viewer, 
 pressure sensitivity sketching with a graffiti wall showing all drawings, 
 cpu throttling adjustments and a fullscreen starfield screensaver.
